using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Collections;
namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        
        private void button1_Click(object sender, EventArgs e)
        {
            Hashtable h = new Hashtable();
            //h.Add("Pencil", "Medad");
            ListBox lst;
            lst = new ListBox();
            lst.Items.Add("Ketab");
            lst.Items.Add("Ketabcheh");
            h.Add("Book", lst);

            lst = new ListBox();
            lst.Items.Add("Khodkar");
            lst.Items.Add("Ghalam");
            h.Add("Pen", lst);

            string itm = "Book";
            if (h.Contains(itm))
                for (int i = 0; i < ((ListBox)h[itm]).Items.Count; i++)
                    MessageBox.Show(((ListBox)h[itm]).Items[i].ToString());
           
        }
    }
}
